[Twisted-Python] Twisted Developers: Do not import Nevow in twisted code, and other reminders

James Y Knight foom at fuhm.net
Fri Sep 9 16:09:50 EDT 2005

On Sep 9, 2005, at 3:33 PM, Jp Calderone wrote:
> Trial no longer runs with Python 2.2.  I disabled the buildslaves  
> since they weren't producing any useful results.  I _don't_ think  
> 2.2 support should be dropped now, but no one else spoke up when I  
> tried to argue this.  Given your post and James', I think it's  
> clear trial should be fixed on Python 2.2 and the buildslaves re- 
> enabled (I'll take care of the latter when someone says they'll  
> take care of the former).

I simply object to support for it being dropped with no discussion.  
In such a discussion, I would not strenuously object to the minimum  
version being bumped to 2.3, although I don't think there are any  
particularly strong reasons for doing so. (My work no longer depends  
upon new releases of Twisted working with Python 2.2, we've upgraded  
to 2.4 now.)


More information about the Twisted-Python mailing list